# mongoc_client_encryption_datakey_opts_t

## Synopsis

    typedef struct _mongoc_client_encryption_datakey_opts_t mongoc_client_encryption_datakey_opts_t;

Used to set options for mongoc_client_encryption_create_datakey().

See also

mongoc_client_encryption_create_datakey()

## Functions

- mongoc_client_encryption_datakey_opts_new()
- mongoc_client_encryption_datakey_opts_destroy()
- mongoc_client_encryption_datakey_opts_set_masterkey()
- mongoc_client_encryption_datakey_opts_set_keyaltnames()
- mongoc_client_encryption_datakey_opts_set_keymaterial()